// 上报动态
import Utils from "../../../../utils/util"
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    topBarH: app.globalData.CustomBar,
    baseUrl: app.FILE_SERVER_URL,

    dateFilter: Utils.formatTime(new Date(), '-'),
    showTypePop: false,
    showAdvicePop: false,
    TypeData: ['火灾', '洪涝', '民事纠纷'],
    postData: {},
    files: []
  },

  /**
   * 显示/关闭弹窗
   */
  popModal: function (params) {
    const type = params.currentTarget.dataset.type;
    this.data[type] = !this.data[type];
    this.setData(this.data)
  },

  /**
   * 事件类型
   */
  typeChange: function (params) {
    const index = params.currentTarget.dataset.index;
    this.data.postData.type = index + 1;
    this.data.showTypePop = false;
    this.setData(this.data)
  },

  /**
   * 事件描述
   */
  inputContent: function (e) {
    this.data.postData.content = e.detail.value;
  },

  /**
   * 发布
   */
  push: function (params) {

  },

  /**
   * 选择文件
   */
  chooseFile: function () {
    wx.chooseImage({
      count: 1,
      type: 'all',
      success: (res) => {
        const tempFilePaths = res.tempFiles;
        const path = tempFilePaths[0].path;
        this.postImg(path)
      }
    })
  },

  /**
   * 上传图片
   */
  postImg(filePath) {
    wx.showLoading({
      title: '文件上传中...',
    })
    app.uploadFile(this.data.uuid, app.FileType.eventAcs, filePath).then(res => {
      wx.hideLoading();
      this.getFiles();
    })
  },

  /**
   * 获取图片
   */
  getFiles: function () {
    app.axios("GET", "common", "/upload/getFile", {
      otcid: this.data.uuid,
      otctype: app.FileType.eventAcs
    }).then(res => {
      if (res.code == 1) {
        this.data.files = res.data;
        this.setData(this.data)
      }
    })
  },

  /**
   * 删除图片
   * @param {*} params 
   */
  deleteFile: function (e) {
    var id = e.currentTarget.dataset.id;
    wx.showModal({
      title: '删除提示',
      content: '是否要删除该附件？',
      success: (res) => {
        if (res.confirm) {
          app.axios("GET", 'common', "/upload/delFile", {
            documentId: id,
          }).then(res => {
            if (res.code == 1) {
              this.getFiles();
            }
          })
        }
      }
    })
  },

  /**
   * 预览文件
   */
  filePre: function (params) {
    const url = params.currentTarget.dataset.url;
    const imgs = [];
    this.data.files.forEach(item => {
      imgs.push(this.data.baseUrl + item.filepath)
    })
    wx.previewImage({
      urls: imgs,
      current: this.data.baseUrl + url
    })
  },

  /**
   * 时间
   */
  bindDateChange: function (params) {
    this.data.postData.time = params.detail.value;
    this.setData(this.data)
  },

  /**
   * 选择位置
   */
  chooseAddress: function (params) {
    wx.chooseLocation({
      success: (res) => {
        this.data.postData.lat = res.latitude;
        this.data.postData.lng = res.longitude;
        this.data.postData.address = res.address;
        this.setData(this.data)
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.data.uuid = Utils.uuid();
    this.setData(this.data)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})